Bug 1509223 (CVE-2017-12182) - CVE-2017-12182 xorg-x11-server: unvalidated lengths in XFree86 DRI extension
Summary: CVE-2017-12182 xorg-x11-server: unvalidated lengths in XFree86 DRI extension
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12182
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171010,repor...
Depends On: 1509258
Blocks: 1509263
TreeView+ depends on / blocked
 
Reported: 2017-11-03 11:08 UTC by Adam Mariš
Modified: 2019-06-08 22:27 UTC (History)
12 users (show)

Fixed In Version: xorg-x11-server 1.19.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 07:26:31 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-03 11:08:22 UTC
Missing length validation was found in XFree86 DRI extension.

Upstream patch:

https://cgit.freedesktop.org/xorg/xserver/commit/?id=1b1d4c04695dced2463404174b50b3581dbd857b

Comment 1 Adam Mariš 2017-11-03 11:08:28 UTC
Acknowledgments:

Name: the Xorg project

Comment 2 Adam Mariš 2017-11-03 12:29:49 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1509258]


Note You need to log in before you can comment on or make changes to this bug.